## ignition-common4 4.4.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10.2 FATAL_ERROR)

#============================================================================
# Initialize the project
#============================================================================
project(ignition-common4 VERSION 4.4.0)

#============================================================================
# Find ignition-cmake
#============================================================================
find_package(ignition-cmake2 2.8.0 REQUIRED COMPONENTS utilities)
set(IGN_CMAKE_VER ${ignition-cmake2_VERSION_MAJOR})

#============================================================================
# Configure the project
#============================================================================
ign_configure_project()

#============================================================================
# Set project-specific options
#============================================================================
set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

#--------------------------------------
# Option: Should Windows test symlinking?
if(WIN32)
  option(
    IGN_BUILD_SYMLINK_TESTS_ON_WINDOWS
    "Creating symlinks requires special permissions on Windows, so those tests are disabled by default"
    false)
endif()

#--------------------------------------
# Option: Should we use our internal copy of tinyxml2?
if(UNIX OR APPLE)
  option(USE_EXTERNAL_TINYXML2 "Use a system-installed version of tinyxml2" ON)
elseif(WIN32)
  # For backward compatibility, this option on Windows by default is OFF
  option(USE_EXTERNAL_TINYXML2 "Use a system-installed version of tinyxml2" OFF)
endif()


#============================================================================
# Search for project-specific dependencies
#============================================================================
message(STATUS "\n\n-- ====== Finding Dependencies ======")

#--------------------------------------
# Find ignition-math
ign_find_package(ignition-math6 REQUIRED_BY graphics events VERSION 6.6)
set(IGN_MATH_VER ${ignition-math6_VERSION_MAJOR})

#--------------------------------------
# Find ignition-utils
ign_find_package(ignition-utils1 REQUIRED_BY graphics VERSION 1.0)
set(IGN_UTILS_VER ${ignition-utils1_VERSION_MAJOR})

#--------------------------------------
# Find Tinyxml2
if(USE_EXTERNAL_TINYXML2)
  ign_find_package(TINYXML2 PRETTY tinyxml2
    REQUIRED_BY graphics
    PRIVATE_FOR graphics)
else()
  message(STATUS "Skipping search for tinyxml2 and using an internal version\n")
endif()

#--------------------------------------
# Find libdl
ign_find_package(
  DL REQUIRED PRIVATE PRETTY libdl PURPOSE "Required for plugins")

#--------------------------------------
# Find dependencies that we ignore for Visual Studio
if(NOT MSVC)

  #------------------------------------
  # Find uuid
  ign_find_package(UUID REQUIRED PRETTY uuid)

endif()

#------------------------------------
# Find Freeimage
ign_find_package(FreeImage VERSION 3.9
  REQUIRED_BY graphics
  PRIVATE_FOR graphics)

#------------------------------------
# Find GNU Triangulation Surface Library
ign_find_package(
  GTS PRETTY gts PURPOSE "GNU Triangulation Surface library"
  REQUIRED_BY graphics
  PRIVATE_FOR graphics)

#------------------------------------
# Find libswscale
ign_find_package(SWSCALE REQUIRED_BY av PRETTY libswscale)

#------------------------------------
# Find avdevice
ign_find_package(AVDEVICE VERSION 56.4.100 REQUIRED_BY av PRETTY libavdevice)

#------------------------------------
# Find avformat
ign_find_package(AVFORMAT REQUIRED_BY av PRETTY libavformat)

#------------------------------------
# Find avcodec
ign_find_package(AVCODEC REQUIRED_BY av PRETTY libavcodec)

#------------------------------------
# Find avutil
ign_find_package(AVUTIL REQUIRED_BY av PRETTY libavutil)


message(STATUS "-------------------------------------------\n")


#============================================================================
# Configure the build
#============================================================================
configure_file("${PROJECT_SOURCE_DIR}/cppcheck.suppress.in"
               ${PROJECT_BINARY_DIR}/cppcheck.suppress)

ign_configure_build(QUIT_IF_BUILD_ERRORS
  COMPONENTS av events graphics profiler)

#============================================================================
# Create package information
#============================================================================
ign_create_packages()


#============================================================================
# Create documentation
#============================================================================
configure_file(${CMAKE_SOURCE_DIR}/api.md.in ${CMAKE_BINARY_DIR}/api.md)
configure_file(${CMAKE_SOURCE_DIR}/tutorials.md.in ${CMAKE_BINARY_DIR}/tutorials.md)

ign_create_docs(
  API_MAINPAGE_MD "${CMAKE_BINARY_DIR}/api.md"
  TUTORIALS_MAINPAGE_MD "${CMAKE_BINARY_DIR}/tutorials.md"
  TAGFILES
    "${IGNITION-MATH_DOXYGEN_TAGFILE} = ${IGNITION-MATH_API_URL}"
  )

=== profiler/src/CMakeLists.txt ===
option(IGN_PROFILER_REMOTERY "Enable the Remotery profiler" TRUE)

set(
  PROFILER_SRCS
  Profiler.cc
)

set(
  PROFILER_TESTS
  Profiler_Disabled_TEST.cc
)

if(IGN_PROFILER_REMOTERY)
  set(
    Remotery_SRC
    ./Remotery/lib/Remotery.c
    ./Remotery/lib/Remotery.h
  )

  if(APPLE)
    set(
      Remotery_SRC
      ${Remotery_SRC}
      ./Remotery/lib/RemoteryMetal.mm
    )
    find_library(FOUNDATION Foundation
      HINTS /System/Library/Frameworks
    )
  endif()

  set(RMT_ENABLED 1)
  set(RMT_USE_TINYCRT 0)
  set(RMT_USE_CUDA 0)
  set(RMT_USE_D3D11 0)
  set(RMT_USE_OPENGL 0)
  set(RMT_USE_METAL 0)

  if(UNIX OR WIN32)
    set(RMT_USE_OPENGL 1)
  endif()

  if(WIN32)
    set(RMT_USE_D3D11 1)
  endif()

  if(APPLE)
    set (RMT_USE_METAL 1)
  endif()

  configure_file(RemoteryConfig.h.in ${CMAKE_CURRENT_BINARY_DIR}/RemoteryConfig.h)

  list(APPEND PROFILER_SRCS ${Remotery_SRC} RemoteryProfilerImpl.cc)
  list(APPEND PROFILER_TESTS Profiler_Remotery_TEST.cc)
endif()

ign_add_component(profiler SOURCES ${PROFILER_SRCS} GET_TARGET_NAME profiler_target)

# Always enable profiler so that it's built, but make it
# private so that downstream users can still disable profiling
target_compile_definitions(${profiler_target} PRIVATE "IGN_PROFILER_ENABLE=1")

if(IGN_PROFILER_REMOTERY)
  target_compile_definitions(${profiler_target} PRIVATE "IGN_PROFILER_REMOTERY=1")

  target_include_directories(
    ${profiler_target}
    PRIVATE
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/Remotery/lib>
    $<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}>
  )

  if (UNIX)
    target_link_libraries(${profiler_target} PUBLIC pthread)
  endif()

  if(APPLE)
    target_link_libraries(${profiler_target} PUBLIC ${FOUNDATION})
  endif()
endif()

ign_build_tests(TYPE UNIT SOURCES ${PROFILER_TESTS}
  LIB_DEPS ${profiler_target}
  TEST_LIST profiler_tests)

if(TARGET UNIT_Profiler_Remotery_TEST)
  target_compile_definitions(UNIT_Profiler_Remotery_TEST
    PUBLIC "IGN_PROFILER_ENABLE=1")
endif()

if(IGN_PROFILER_REMOTERY)
  set(IGN_PROFILER_SCRIPT_PATH ${CMAKE_INSTALL_LIBDIR}/ignition/ignition-common${PROJECT_VERSION_MAJOR})
  set(IGN_PROFILER_VIS_PATH ${IGN_DATA_INSTALL_DIR}/profiler_vis)

  configure_file(Remotery/ign_remotery_vis.in
    ${CMAKE_CURRENT_BINARY_DIR}/ign_remotery_vis
    @ONLY)

  install(PROGRAMS
    ${CMAKE_CURRENT_BINARY_DIR}/ign_remotery_vis
    DESTINATION ${IGN_PROFILER_SCRIPT_PATH})

  install(DIRECTORY Remotery/vis/
          DESTINATION ${IGN_PROFILER_VIS_PATH})
endif()

=== test/integration/CMakeLists.txt ===
# This is to make test_config.h visible
include_directories("${CMAKE_BINARY_DIR}")

ign_get_sources(tests)

# FIXME the mesh test does not work
list(REMOVE_ITEM tests mesh.cc)

if (${SKIP_av})
  list(REMOVE_ITEM tests encoder_timing.cc)
  list(REMOVE_ITEM tests video_encoder.cc)
endif()

ign_build_tests(
  TYPE INTEGRATION
  SOURCES ${tests}
)

if(TARGET INTEGRATION_plugin)
  # We add this dependency to make sure that DummyPlugins gets generated
  # before INTEGRATION_plugin so that its auto-generated header is available.
  # We do not want to link INTEGRATION_plugin to the DummyPlugins library.
  add_dependencies(INTEGRATION_plugin IGNDummyPlugins)
endif()

if(TARGET INTEGRATION_encoder_timing)
  target_link_libraries(INTEGRATION_encoder_timing ${PROJECT_LIBRARY_TARGET_NAME}-av)
endif()

if(TARGET INTEGRATION_video_encoder)
  target_link_libraries(INTEGRATION_video_encoder ${PROJECT_LIBRARY_TARGET_NAME}-av)
endif()

=== debian/changelog ===
ignition-common4 (4.4.0-1~buster) buster; urgency=medium

  * ignition-common4 4.4.0-1 release

 -- Michael Carroll <michael@openrobotics.org>  Fri, 15 Oct 2021 12:56:06 -0500

ignition-common4 (4.3.0-1~buster) buster; urgency=medium

  * ignition-common4 4.3.0-1 release

 -- Michael Carroll <michael@openrobotics.org>  Mon, 27 Sep 2021 19:38:01 -0500

ignition-common4 (4.3.0~pre1-1~buster) buster; urgency=medium

  * ignition-common4 4.3.0~pre1-1 release

 -- Louise Poubel <louise@openrobotics.org>  Wed, 22 Sep 2021 02:38:41 -0700

ignition-common4 (4.2.0-1~buster) buster; urgency=medium

  * ignition-common4 4.2.0-1 release

 -- Michael Carroll <michael@openrobotics.org>  Mon, 02 Aug 2021 14:26:52 -0500

ignition-common4 (4.1.0-1~buster) buster; urgency=medium

  * ignition-common4 4.1.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Tue, 22 Jun 2021 10:33:58 -0700

ignition-common4 (4.0.0-1~buster) buster; urgency=medium

  * ignition-common4 4.0.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Wed, 31 Mar 2021 09:43:58 -0700

ignition-common4 (4.0.0~pre2-1~buster) buster; urgency=medium

  * ignition-common4 4.0.0~pre2-1 release

 -- Michael Carroll <michael@openrobotics.org>  Fri, 26 Mar 2021 12:43:25 -0500

ignition-common4 (4.0.0~pre1-1~buster) buster; urgency=medium

  * ignition-common4 4.0.0~pre1-1 release

 -- Michael Carroll <michael@openrobotics.org>  Mon, 22 Mar 2021 18:59:06 -0500

ignition-common4 (3.999.999-1~buster) buster; urgency=medium

  * Stub to be removed after first entry

 -- Louise Poubel <louise@openrobotics.org>  Thu, 29 Oct 2020 11:02:25 -0700

=== debian/control ===
Source: ignition-common4
Standards-Version: 3.9.8
Maintainer: Jose Luis Rivero <jrivero@osrfoundation.org>
Section: science
Priority: optional
Build-Depends: cmake,
               pkg-config,
               debhelper (>= 9),
               doxygen,
               libfreeimage-dev,
               libignition-cmake2-dev (>= 2.8.0),
               libignition-math6-dev,
               libignition-utils1-dev,
               libtinyxml2-dev,
               uuid-dev,
               libgts-dev,
               libavdevice-dev,
               libavformat-dev,
               libavcodec-dev,
               libswscale-dev,
               libavutil-dev
Vcs-Browser: https://github.com/ignition-release/ign-common4-release
Vcs-Git: https://github.com/ignition-release/ign-common4-release
Homepage: http://ignitionrobotics.org/

Package: libignition-common4
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Ignition Common classes and functions for robot apps - Shared library
 Ignition Common is a component in the ignition framework, a set of libraries
 designed to rapidly develop robot applications.
 .
 Main shared library

Package: libignition-common4-core-dev
Architecture: any
Section: libdevel
Depends: libignition-cmake2-dev (>= 2.8.0),
         libignition-utils1-dev,
         uuid-dev,
         libignition-common4 (= ${binary:Version}),
         ${misc:Depends}
Breaks: libignition-common4-dev (<< 3.0.0~pre5+hg20190228r1b2df90990)
Replaces: libignition-common4-dev (<< 3.0.0~pre5+hg20190228r1b2df90990)
Multi-Arch: same
Description: Ignition Common classes and functions (core) - Development files
 Ignition Common is a component in the ignition framework, a set of libraries
 designed to rapidly develop robot applications.
 .
 Core development files

Package: libignition-common4-dev
Architecture: any
Section: libdevel
Depends: libignition-common4-core-dev (= ${binary:Version}),
         libignition-common4-av-dev (= ${binary:Version}),
         libignition-common4-events-dev (= ${binary:Version}),
         libignition-common4-graphics-dev (= ${binary:Version}),
         libignition-common4-profiler-dev (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Ignition Common classes and functions for robot apps - Metapackage
 Ignition Common is a component in the ignition framework, a set of libraries
 designed to rapidly develop robot applications.
 .
 Metapackage for development

Package: libignition-common4-av
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: libignition-common4 (<< 3.0.0~pre5+hg20190228r1b2df90990)
Replaces: libignition-common4 (<< 3.0.0~pre5+hg20190228r1b2df90990)
Multi-Arch: same
Description: Ignition Common classes and functions (AV) - Shared library
 Ignition Common is a component in the ignition framework, a set of libraries
 designed to rapidly develop robot applications.
 .
 AV component of the library

Package: libignition-common4-av-dev
Architecture: any
Section: libdevel
Depends: libignition-cmake2-dev (>= 2.8.0),
         libignition-common4-core-dev (= ${binary:Version}),
         libignition-utils1-dev,
         libavdevice-dev,
         libavformat-dev,
         libavcodec-dev,
         libswscale-dev,
         libavutil-dev,
         libignition-common4-av (= ${binary:Version}),
         ${misc:Depends}
Breaks: libignition-common4-dev (<< 3.0.0~pre5+hg20190228r1b2df90990)
Replaces: libignition-common4-dev (<< 3.0.0~pre5+hg20190228r1b2df90990)
Multi-Arch: same
Description: Ignition Common classes and functions (AV) - Development files
 Ignition Common is a component in the ignition framework, a set of libraries
 designed to rapidly develop robot applications.
 .
 AV component of the library, development files

Package: libignition-common4-events
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: libignition-common4 (<< 3.0.0~pre5+hg20190228r1b2df90990)
Replaces: libignition-common4 (<< 3.0.0~pre5+hg20190228r1b2df90990)
Multi-Arch: same
Description: Ignition Common classes and functions (Events) - Shared library
 Ignition Common is a component in the ignition framework, a set of libraries
 designed to rapidly develop robot applications.
 .
 Events component of the library

Package: libignition-common4-events-dev
Architecture: any
Section: libdevel
Depends: libignition-cmake2-dev (>= 2.8.0),
         libignition-common4-core-dev (= ${binary:Version}),
         libignition-utils1-dev,
         libignition-math6-dev,
         libignition-common4-events (= ${binary:Version}),
         ${misc:Depends}
Breaks: libignition-common4-dev (<< 3.0.0~pre5+hg20190228r1b2df90990)
Replaces: libignition-common4-dev (<< 3.0.0~pre5+hg20190228r1b2df90990)
Multi-Arch: same
Description: Ignition Common classes and functions (Events) - Development files
 Ignition Common is a component in the ignition framework, a set of libraries
 designed to rapidly develop robot applications.
 .
 Events component of the library, development files

Package: libignition-common4-graphics
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: libignition-common4 (<< 3.0.0~pre5+hg20190228r1b2df90990)
Replaces: libignition-common4 (<< 3.0.0~pre5+hg20190228r1b2df90990)
Multi-Arch: same
Description: Ignition Common classes and functions (Graphics) - Shared library
 Ignition Common is a component in the ignition framework, a set of libraries
 designed to rapidly develop robot applications.
 .
 Graphics component of the library

Package: libignition-common4-graphics-dev
Architecture: any
Section: libdevel
Depends: libignition-cmake2-dev (>= 2.8.0),
         libignition-common4-core-dev (= ${binary:Version}),
         libignition-math6-dev,
         libignition-utils1-dev,
         libtinyxml2-dev,
         libgts-dev,
         libignition-common4-graphics (= ${binary:Version}),
         ${misc:Depends}
Breaks: libignition-common4-dev (<< 3.0.0~pre5+hg20190228r1b2df90990)
Replaces: libignition-common4-dev (<< 3.0.0~pre5+hg20190228r1b2df90990)
Multi-Arch: same
Description: Ignition Common classes and functions (Graphics) - Development files
 Ignition Common is a component in the ignition framework, a set of libraries
 designed to rapidly develop robot applications.
 .
 Graphics component of the library, development files

Package: libignition-common4-profiler
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: libignition-common4 (<< 3.0.0~pre5+hg20190228r1b2df90990)
Replaces: libignition-common4 (<< 3.0.0~pre5+hg20190228r1b2df90990)
Multi-Arch: same
Description: Ignition Common classes and functions (Profiler) - Shared library
 Ignition Common is a component in the ignition framework, a set of libraries
 designed to rapidly develop robot applications.
 .
 Profiler component of the library

Package: libignition-common4-profiler-dev
Architecture: any
Section: libdevel
Depends: libignition-cmake2-dev (>= 2.8.0),
         libignition-common4-core-dev (= ${binary:Version}),
         libignition-common4-profiler (= ${binary:Version}),
         ${misc:Depends}
Breaks: libignition-common4-dev (<< 3.0.0~pre5+hg20190228r1b2df90990)
Replaces: libignition-common4-dev (<< 3.0.0~pre5+hg20190228r1b2df90990)
Multi-Arch: same
Description: Ignition Common classes and functions (profiler) - Development files
 Ignition Common is a component in the ignition framework, a set of libraries
 designed to rapidly develop robot applications.
 .
 profiler component of the library, development files

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

.PHONY: override_dh_auto_configure \
        override_dh_install \
        override_dh_auto_test

%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -- \
	    -DCMAKE_BUILD_TYPE=RelWithDebInfo

override_dh_install:
	dh_install --
	# need to remove files present in components
	$(RM) debian/libignition-common4-core-dev/usr/include/ignition/common*/ignition/common/av.hh
	$(RM) debian/libignition-common4-core-dev/usr/include/ignition/common*/ignition/common/events.hh
	$(RM) debian/libignition-common4-core-dev/usr/include/ignition/common*/ignition/common/graphics.hh
	dh_missing --list-missing

# test cannot run in parallel
override_dh_auto_test:
	dh_auto_test --max-parallel=1

## ignition-common4 4.5.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,12 +3,12 @@
 #============================================================================
 # Initialize the project
 #============================================================================
-project(ignition-common4 VERSION 4.4.0)
+project(ignition-common4 VERSION 4.5.2)
 
 #============================================================================
 # Find ignition-cmake
 #============================================================================
-find_package(ignition-cmake2 2.8.0 REQUIRED COMPONENTS utilities)
+find_package(ignition-cmake2 2.14.0 REQUIRED COMPONENTS utilities)
 set(IGN_CMAKE_VER ${ignition-cmake2_VERSION_MAJOR})
 
 #============================================================================

=== debian/changelog ===
ignition-common4 (4.5.2-1~focal) focal; urgency=medium

  * ignition-common4 4.5.2-1 release

 -- Louise Poubel <louise@openrobotics.org>  Wed, 17 Aug 2022 09:31:29 -0700

ignition-common4 (4.5.1-2~focal) focal; urgency=medium

  * ignition-common4 4.5.1-2 release

 -- Louise Poubel <louise@openrobotics.org>  Tue, 21 Jun 2022 11:37:57 -0700

ignition-common4 (4.5.1-1~focal) focal; urgency=medium

  * ignition-common4 4.5.1-1 release

 -- Louise Poubel <louise@openrobotics.org>  Tue, 21 Jun 2022 09:00:49 -0700

ignition-common4 (4.5.0-1~focal) focal; urgency=medium

  * ignition-common4 4.5.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Wed, 12 Jan 2022 16:24:22 -0800

ignition-common4 (4.4.0-1~focal) focal; urgency=medium

  * ignition-common4 4.4.0-1 release

 -- Michael Carroll <michael@openrobotics.org>  Fri, 15 Oct 2021 12:56:07 -0500

ignition-common4 (4.3.0-1~focal) focal; urgency=medium

  * ignition-common4 4.3.0-1 release

 -- Michael Carroll <michael@openrobotics.org>  Mon, 27 Sep 2021 19:38:02 -0500

ignition-common4 (4.3.0~pre1-1~focal) focal; urgency=medium

  * ignition-common4 4.3.0~pre1-1 release

 -- Louise Poubel <louise@openrobotics.org>  Wed, 22 Sep 2021 02:38:41 -0700

ignition-common4 (4.2.0-1~focal) focal; urgency=medium

  * ignition-common4 4.2.0-1 release

 -- Michael Carroll <michael@openrobotics.org>  Mon, 02 Aug 2021 14:26:52 -0500

ignition-common4 (4.1.0-1~focal) focal; urgency=medium

  * ignition-common4 4.1.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Tue, 22 Jun 2021 10:33:58 -0700

ignition-common4 (4.0.0-1~focal) focal; urgency=medium

  * ignition-common4 4.0.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Wed, 31 Mar 2021 09:43:58 -0700

ignition-common4 (4.0.0~pre2-1~focal) focal; urgency=medium

  * ignition-common4 4.0.0~pre2-1 release

 -- Michael Carroll <michael@openrobotics.org>  Fri, 26 Mar 2021 12:43:25 -0500

ignition-common4 (4.0.0~pre1-1~focal) focal; urgency=medium

  * ignition-common4 4.0.0~pre1-1 release

 -- Michael Carroll <michael@openrobotics.org>  Mon, 22 Mar 2021 18:59:07 -0500

ignition-common4 (3.999.999-1~focal) focal; urgency=medium

  * Stub to be removed after first entry

 -- Louise Poubel <louise@openrobotics.org>  Thu, 29 Oct 2020 11:02:24 -0700

=== debian/control ===
Source: ignition-common4
Maintainer: Jose Luis Rivero <jrivero@osrfoundation.org>
Section: science
Priority: optional
Build-Depends: cmake,
               pkg-config,
               debhelper (>= 11),
               doxygen,
               libfreeimage-dev,
               libignition-cmake2-dev (>= 2.8.0) | libignition-cmake-dev (>= 2.8.0),
               libignition-math6-dev,
               libignition-utils1-dev,
               libtinyxml2-dev,
               uuid-dev,
               libgts-dev,
               libavdevice-dev,
               libavformat-dev,
               libavcodec-dev,
               libswscale-dev,
               libavutil-dev
Vcs-Browser: https://github.com/gazebosim/gz-common
Vcs-Git: https://github.com/gazebo-release/gz-common4-release
Standards-Version: 4.5.1
Homepage: http://gazebosim.org/

Package: libignition-common4
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: libignition-common4-4 (<= 4.5.0+ds-1)
Replaces: libignition-common4-4 (<= 4.5.0+ds-1)
Multi-Arch: same
Description: Collection of useful code used by robotics apps - Shared library
 Gazebo common is a component in the Gazebo framework, a set of
 libraries designed to rapidly develop robot applications. A collection of
 useful classes and functions for handling many command tasks. This includes
 parsing 3D mesh files, managing console output, and using PID controllers.
 .
 This package gathers the shared library

Package: libignition-common4-core-dev
Architecture: any
Section: libdevel
Depends: libignition-cmake2-dev (>= 2.8.0),
         libignition-utils1-dev,
         uuid-dev,
         libignition-common4 (= ${binary:Version}),
         ${misc:Depends}
Breaks: libignition-common4-dev (<< 3.0.0~pre5+hg20190228r1b2df90990),
        libignition-common-core-dev (<= 4.5.0+ds-1)
Replaces: libignition-common4-dev (<< 3.0.0~pre5+hg20190228r1b2df90990),
          libignition-common-core-dev (<= 4.5.0+ds-1)
Multi-Arch: same
Description: Collection of useful code used by robotics apps - Core dev files
 Gazebo common is a component in the Gazebo framework, a set of
 libraries designed to rapidly develop robot applications. A collection of
 useful classes and functions for handling many command tasks. This includes
 parsing 3D mesh files, managing console output, and using PID controllers.
 .
 Core development files

Package: libignition-common4-dev
Architecture: any
Section: libdevel
Depends: libignition-common4-core-dev (= ${binary:Version}),
         libignition-common4-av-dev (= ${binary:Version}),
         libignition-common4-events-dev (= ${binary:Version}),
         libignition-common4-graphics-dev (= ${binary:Version}),
         libignition-common4-profiler-dev (= ${binary:Version}),
         ${misc:Depends}
Breaks: libignition-common-dev (<= 4.5.0+ds-1)
Replaces: libignition-common-dev (<= 4.5.0+ds-1)
Multi-Arch: same
Description: Collection of useful code used by robotics apps - Metapackage
 Gazebo common is a component in the Gazebo framework, a set of
 libraries designed to rapidly develop robot applications. A collection of
 useful classes and functions for handling many command tasks. This includes
 parsing 3D mesh files, managing console output, and using PID controllers.
 .
 Metapackage for development.

Package: libignition-common4-av
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: libignition-common4-av4 (<= 4.5.0+ds-1)
Replaces: libignition-common4-av4 (<= 4.5.0+ds-1)
Multi-Arch: same
Description: Collection of useful code used by robotics apps - AV libraries
 Gazebo common is a component in the Gazebo framework, a set of
 libraries designed to rapidly develop robot applications. A collection of
 useful classes and functions for handling many command tasks. This includes
 parsing 3D mesh files, managing console output, and using PID controllers.
 .
 AV component of the library

Package: libignition-common4-av-dev
Architecture: any
Section: libdevel
Depends: libignition-cmake2-dev (>= 2.8.0),
         libignition-common4-core-dev (= ${binary:Version}),
         libignition-utils1-dev,
         libavdevice-dev,
         libavformat-dev,
         libavcodec-dev,
         libswscale-dev,
         libavutil-dev,
         libignition-common4-av (= ${binary:Version}),
         ${misc:Depends}
Breaks: libignition-common4-dev (<< 3.0.0~pre5+hg20190228r1b2df90990),
        libignition-common-av-dev (<= 4.5.0+ds-1)
Replaces: libignition-common4-dev (<< 3.0.0~pre5+hg20190228r1b2df90990),
          libignition-common-av-dev (<= 4.5.0+ds-1)
Multi-Arch: same
Description: Collection of useful code used by robotics apps - AV dev files
 Gazebo common is a component in the Gazebo framework, a set of
 libraries designed to rapidly develop robot applications. A collection of
 useful classes and functions for handling many command tasks. This includes
 parsing 3D mesh files, managing console output, and using PID controllers.
 .
 AV component of the library, development files

Package: libignition-common4-events
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: libignition-common4 (<< 3.0.0~pre5+hg20190228r1b2df90990),
        libignition-common4-events4 (<< 4.5.0+ds-1)
Replaces: libignition-common4 (<< 3.0.0~pre5+hg20190228r1b2df90990),
          libignition-common4-events4 (<< 4.5.0+ds-1)
Multi-Arch: same
Description: Collection of useful code used by robotics apps - Events libraries
 Gazebo common is a component in the Gazebo framework, a set of
 libraries designed to rapidly develop robot applications. A collection of
 useful classes and functions for handling many command tasks. This includes
 parsing 3D mesh files, managing console output, and using PID controllers.
 .
 Events component of the library

Package: libignition-common4-events-dev
Architecture: any
Section: libdevel
Depends: libignition-cmake2-dev (>= 2.8.0),
         libignition-common4-core-dev (= ${binary:Version}),
         libignition-utils1-dev,
         libignition-math6-dev,
         libignition-common4-events (= ${binary:Version}),
         ${misc:Depends}
Breaks: libignition-common4-dev (<< 3.0.0~pre5+hg20190228r1b2df90990)
Replaces: libignition-common4-dev (<< 3.0.0~pre5+hg20190228r1b2df90990)
Multi-Arch: same
Description: Collection of useful code used by robotics apps - Events dev files
 Gazebo common is a component in the Gazebo framework, a set of
 libraries designed to rapidly develop robot applications. A collection of
 useful classes and functions for handling many command tasks. This includes
 parsing 3D mesh files, managing console output, and using PID controllers.
 .
 Events component development files

Package: libignition-common4-graphics
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: libignition-common4 (<< 3.0.0~pre5+hg20190228r1b2df90990),
        libignition-common4-graphics4 (<= 4.5.0+ds-1)
Replaces: libignition-common4 (<< 3.0.0~pre5+hg20190228r1b2df90990),
          libignition-common4-graphics4 (<= 4.5.0+ds-1)
Multi-Arch: same
Description: Collection of useful code used by robotics apps - Graphics libraries
 Gazebo common is a component in the Gazebo framework, a set of
 libraries designed to rapidly develop robot applications. A collection of
 useful classes and functions for handling many command tasks. This includes
 parsing 3D mesh files, managing console output, and using PID controllers.
 .
 Graphics component of the library

Package: libignition-common4-graphics-dev
Architecture: any
Section: libdevel
Depends: libignition-cmake2-dev (>= 2.8.0),
         libignition-common4-core-dev (= ${binary:Version}),
         libignition-math6-dev,
         libignition-utils1-dev,
         libtinyxml2-dev,
         libgts-dev,
         libignition-common4-graphics (= ${binary:Version}),
         ${misc:Depends}
Breaks: libignition-common4-dev (<< 3.0.0~pre5+hg20190228r1b2df90990)
Replaces: libignition-common4-dev (<< 3.0.0~pre5+hg20190228r1b2df90990)
Multi-Arch: same
Description: Collection of useful code used by robotics apps - Graphics dev files
 Gazebo common is a component in the Gazebo framework, a set of
 libraries designed to rapidly develop robot applications. A collection of
 useful classes and functions for handling many command tasks. This includes
 parsing 3D mesh files, managing console output, and using PID controllers.
 .
 Graphics component development files

Package: libignition-common4-profiler
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: libignition-common4 (<< 3.0.0~pre5+hg20190228r1b2df90990),
        libignition-common4-profiler (<= 4.5.0+ds-1)
Replaces: libignition-common4 (<< 3.0.0~pre5+hg20190228r1b2df90990),
          libignition-common4-profiler (<= 4.5.0+ds-1)
Multi-Arch: same
Description: Collection of useful code used by robotics apps - Profiler libs
 Gazebo common is a component in the Gazebo framework, a set of
 libraries designed to rapidly develop robot applications. A collection of
 useful classes and functions for handling many command tasks. This includes
 parsing 3D mesh files, managing console output, and using PID controllers.
 .
 Profiler component of the library

Package: libignition-common4-profiler-dev
Architecture: any
Section: libdevel
Depends: libignition-cmake2-dev (>= 2.8.0),
         libignition-common4-core-dev (= ${binary:Version}),
         libignition-common4-profiler (= ${binary:Version}),
         ${misc:Depends}
Breaks: libignition-common4-dev (<< 3.0.0~pre5+hg20190228r1b2df90990)
Replaces: libignition-common4-dev (<< 3.0.0~pre5+hg20190228r1b2df90990)
Multi-Arch: same
Description: Collection of useful code used by robotics apps - Profiler dev file
 Gazebo common is a component in the Gazebo framework, a set of
 libraries designed to rapidly develop robot applications. A collection of
 useful classes and functions for handling many command tasks. This includes
 parsing 3D mesh files, managing console output, and using PID controllers.
 .
 Profiler development files

Package: libgz-common4
Depends: libignition-common4 (= ${binary:Version}), ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 It's recommended to use the gz packages going forward.

Package: libgz-common4-core-dev
Depends: libignition-common4-core-dev (= ${binary:Version}), ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 It's recommended to use the gz packages going forward.

Package: libgz-common4-dev
Depends: libignition-common4-dev (= ${binary:Version}), ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 It's recommended to use the gz packages going forward.

Package: libgz-common4-av
Depends: libignition-common4-av (= ${binary:Version}), ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 It's recommended to use the gz packages going forward.

Package: libgz-common4-av-dev
Depends: libignition-common4-av-dev (= ${binary:Version}), ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 It's recommended to use the gz packages going forward.

Package: libgz-common4-events
Depends: libignition-common4-events (= ${binary:Version}), ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 It's recommended to use the gz packages going forward.

Package: libgz-common4-events-dev
Depends: libignition-common4-events-dev (= ${binary:Version}), ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 It's recommended to use the gz packages going forward.

Package: libgz-common4-graphics

=== debian/rules ===
--- 
+++ 
@@ -1,16 +1,7 @@
 #!/usr/bin/make -f
-# -*- makefile -*-
-# This file was originally written by Joey Hess and Craig Small.
-# As a special exception, when this file is copied by dh-make into a
-# dh-make output file, you may use that output file without restriction.
-# This special exception was added by Craig Small in version 0.37 of dh-make.
-
-.PHONY: override_dh_auto_configure \
-        override_dh_install \
-        override_dh_auto_test
 
 %:
-	dh $@ --parallel
+	dh $@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \

## ignition-common4 4.7.0

=== debian/changelog ===
ignition-common4 (4.7.0-1~focal) focal; urgency=medium

  * ignition-common4 4.7.0-1 release

 -- Michael Carroll <michael@openrobotics.org>  Thu, 18 May 2023 16:00:24 -0500

ignition-common4 (4.6.2-1~focal) focal; urgency=medium

  * ignition-common4 4.6.2-1 release

 -- Nate Koenig <nate@openrobotics.org>  Thu, 17 Nov 2022 21:38:23 -0800

ignition-common4 (4.6.1-1~focal) focal; urgency=medium

  * ignition-common4 4.6.1-1 release

 -- Michael Carroll <michael@openrobotics.org>  Tue, 11 Oct 2022 21:13:18 -0500

ignition-common4 (4.6.0-1~focal) focal; urgency=medium

  * ignition-common4 4.6.0-1 release

 -- Michael Carroll <michael@openrobotics.org>  Tue, 11 Oct 2022 09:14:33 -0500

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                debhelper (>= 11),
                doxygen,
                libfreeimage-dev,
-               libignition-cmake2-dev (>= 2.8.0) | libignition-cmake-dev (>= 2.8.0),
+               libignition-cmake2-dev (>= 2.14.0) | libignition-cmake-dev (>= 2.14.0),
                libignition-math6-dev,
                libignition-utils1-dev,
                libtinyxml2-dev,
@@ -42,7 +42,7 @@
 Package: libignition-common4-core-dev
 Architecture: any
 Section: libdevel
-Depends: libignition-cmake2-dev (>= 2.8.0),
+Depends: libignition-cmake2-dev (>= 2.14.0),
          libignition-utils1-dev,
          uuid-dev,
          libignition-common4 (= ${binary:Version}),
@@ -99,7 +99,7 @@
 Package: libignition-common4-av-dev
 Architecture: any
 Section: libdevel
-Depends: libignition-cmake2-dev (>= 2.8.0),
+Depends: libignition-cmake2-dev (>= 2.14.0),
          libignition-common4-core-dev (= ${binary:Version}),
          libignition-utils1-dev,
          libavdevice-dev,
@@ -143,7 +143,7 @@
 Package: libignition-common4-events-dev
 Architecture: any
 Section: libdevel
-Depends: libignition-cmake2-dev (>= 2.8.0),
+Depends: libignition-cmake2-dev (>= 2.14.0),
          libignition-common4-core-dev (= ${binary:Version}),
          libignition-utils1-dev,
          libignition-math6-dev,
@@ -181,7 +181,7 @@
 Package: libignition-common4-graphics-dev
 Architecture: any
 Section: libdevel
-Depends: libignition-cmake2-dev (>= 2.8.0),
+Depends: libignition-cmake2-dev (>= 2.14.0),
          libignition-common4-core-dev (= ${binary:Version}),
          libignition-math6-dev,
          libignition-utils1-dev,
@@ -221,7 +221,7 @@
 Package: libignition-common4-profiler-dev
 Architecture: any
 Section: libdevel
-Depends: libignition-cmake2-dev (>= 2.8.0),
+Depends: libignition-cmake2-dev (>= 2.14.0),
          libignition-common4-core-dev (= ${binary:Version}),
          libignition-common4-profiler (= ${binary:Version}),
          ${misc:Depends}

=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,9 @@
 override_dh_install:
 	dh_install --
 	# need to remove files present in components
+	$(RM) debian/libignition-common4-core-dev/usr/include/ignition/common*/gz/common/av.hh
+	$(RM) debian/libignition-common4-core-dev/usr/include/ignition/common*/gz/common/events.hh
+	$(RM) debian/libignition-common4-core-dev/usr/include/ignition/common*/gz/common/graphics.hh
 	$(RM) debian/libignition-common4-core-dev/usr/include/ignition/common*/ignition/common/av.hh
 	$(RM) debian/libignition-common4-core-dev/usr/include/ignition/common*/ignition/common/events.hh
 	$(RM) debian/libignition-common4-core-dev/usr/include/ignition/common*/ignition/common/graphics.hh
